# Angular
[Angular](https://angular.io) presents a framework from Google for creating SPA client applications. One of the key features of Angular is that it uses TypeScript as the programming language. Therefore, before starting work, it is recommended that you familiarize yourself with the basics of this language. Angular presents not only tools, but also design templates for creating a serviced project. If you create the Angular application correctly, you won’t have any confusion of classes and methods that are hard to edit and even harder to test. The code is conveniently structured, you can quickly understand what's what.

## Getting Started
### Create New Page
`waw page NAME`
### Create New Component
`waw component NAME`
### Create New Service
`waw service NAME`
### Create New Pipe
`waw pipe NAME`

## Popular Projects
| Project | Description | Issues | Forks | Stars | License |
| ------- | ------- | ------- | ------- | ------- |:-----:|
| [**`Base`**](https://github.com/WebArtWork/wawNgx) | Base start with only user management | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/wawNgx)](https://github.com/WebArtWork/wawNgx/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/wawNgx)](https://github.com/WebArtWork/wawNgx/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/wawNgx)](https://github.com/WebArtWork/wawNgx/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/wawNgx)](https://github.com/WebArtWork/wawNgx/blob/master/LICENSE)
| [**`CRM`**](https://github.com/WebArtWork/wawNgxCrm) | Base plus tasks and timelogs | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/wawNgxCrm)](https://github.com/WebArtWork/wawNgxCrm/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/wawNgxCrm)](https://github.com/WebArtWork/wawNgxCrm/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/wawNgxCrm)](https://github.com/WebArtWork/wawNgxCrm/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/wawNgxCrm)](https://github.com/WebArtWork/wawNgxCrm/blob/master/LICENSE)
| [**`eCommerce`**](https://github.com/WebArtWork/wawNgxeCommerce) | Base plus products, tags and orders | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/wawNgxeCommerce)](https://github.com/WebArtWork/wawNgxeCommerce/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/wawNgxeCommerce)](https://github.com/WebArtWork/wawNgxeCommerce/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/wawNgxeCommerce)](https://github.com/WebArtWork/wawNgxeCommerce/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/wawNgxeCommerce)](https://github.com/WebArtWork/wawNgxeCommerce/blob/master/LICENSE)
| [**`Social`**](https://github.com/WebArtWork/wawNgxSocial) | Base plus posts and commets | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/wawNgxSocial)](https://github.com/WebArtWork/wawNgxSocial/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/wawNgxSocial)](https://github.com/WebArtWork/wawNgxSocial/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/wawNgxSocial)](https://github.com/WebArtWork/wawNgxSocial/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/wawNgxSocial)](https://github.com/WebArtWork/wawNgxSocial/blob/master/LICENSE)
| [**`Profile`**](https://github.com/WebArtWork/wawNgxProfile) | Base plus designer | [![GitHub issues](https://img.shields.io/github/issues/WebArtWork/wawNgxProfile)](https://github.com/WebArtWork/wawNgxProfile/issues) | [![GitHub forks](https://img.shields.io/github/forks/WebArtWork/wawNgxProfile)](https://github.com/WebArtWork/wawNgxProfile/network) | [![GitHub stars](https://img.shields.io/github/stars/WebArtWork/wawNgxProfile)](https://github.com/WebArtWork/wawNgxProfile/stargazers) | [![GitHub license](https://img.shields.io/github/license/WebArtWork/wawNgxProfile)](https://github.com/WebArtWork/wawNgxProfile/blob/master/LICENSE)

## Contributing
Thanks for your interest in contributing! Read up on our guidelines for
[contributing](https://github.com/WebArtWork/angular/CONTRIBUTING.md)
and then look through our issues with a [help wanted](https://github.com/WebArtWork/angular/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22)
label.
